Skip to main content
GET
List Owner Checkpoints Endpoint

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

team_id
string | null

List this team's checkpoints instead of the caller's

sandbox_id
string | null

Only this sandbox's

user_id
string | null

Only checkpoints this user created

labels
string[] | null

Only checkpoints of sandboxes with ALL these labels

state
enum<string>[] | null

Only these states (repeatable)

Available options:
PENDING,
FROZEN,
DURABLE,
DELETING,
FAILED
created_before
string<date-time> | null

Only checkpoints created before this time

limit
integer
default:100
Required range: 1 <= x <= 500
cursor
string | null

next_cursor of the last page

Response

Successful Response

checkpoints
CheckpointResponse · object[]
required
next_cursor
string | null